org.apache.felix.ipojo.util

## Class ServiceLocator<T>

- java.lang.Object
- - org.apache.felix.ipojo.util.ServiceLocator<T>

    public class ServiceLocator<T>
    extends java.lang.Object

A simple utility class to retrive services from the service registry.

### Constructor Summary

Constructors
Constructor and Description
`ServiceLocator(java.lang.Class<T> clazz, org.osgi.framework.BundleContext context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `get()`
`void` `unget()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServiceLocator

    public ServiceLocator(java.lang.Class<T> clazz,
                          org.osgi.framework.BundleContext context)

### Method Detail

#### get

    public T get()

#### unget

    public void unget()